﻿using Infragistics.Controls.Editors;
using Infragistics.Controls.Editors.Primitives;
using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamPropertyGrid_SelectedItem
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window, INotifyPropertyChanged
    {
        private PropertyGridItem _selectedProperty;
        public MainWindow()
        {
            InitializeComponent();

            this.DataContext = this;           

        }

        public PropertyGridItem SelectedProperty
        {
            get
            {
                return _selectedProperty;
            }
            set
            {
                if (_selectedProperty != value)
                {
                    _selectedProperty = value;
                    RaisePropertyChanged();
                }
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (SpSmTreeView2.ActiveDataItem == null)
            {
                SpSmTreeView2.ActiveRecord = SpSmTreeView2.Records[0];
            }


            SelectedProperty = XamPropertyGrid1.Items[0].Children.LastOrDefault();

            if (SelectedProperty != null)
            {
                SelectedProperty.Select();
                XamPropertyGrid1.UpdateLayout();                
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged([CallerMemberName] string name = null)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(name));
        }
    }
}
